[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBActns' (#lcl)

# TDataSetPrior.UpdateTarget

Enables or disables the action based on the state of the dataset in the target.

## Declaration

Source position: dbactns.pp line 70

`public procedure TDataSetPrior.UpdateTarget(`
`Target: TObject`
`); override;`

## Arguments

`Target` |  | DataSource object examined in the method.

## Description

UpdateTarget is an overridden method which enables or disables the database action based on the state of the dataset in the Target object.

UpdateTarget calls the GetDataSet method to retrieve the dataset in the Target datasource. The action is Enabled when the dataset is active and not already positioned at its beginning (or first record). This ensures that the action cannot be performed for a dataset that has not been opened, or does not require repositioning.